<template>
  <v-container>
    <div v-if="!loading_user" class="text-center">
      <h1>{{ datas_user[0].name }}</h1>
      <h3>
        {{ datas_user[0].username }} | {{ datas_user[0].website }} |
        {{ datas_user[0].email }} |
        {{ datas_user[0].phone }}
      </h3>
      <h3>
        {{ datas_user[0].address.street }} {{ datas_user[0].address.suite }}
        {{ datas_user[0].address.city }} ({{ datas_user[0].address.zipcode }})
      </h3>
      <h3>
        {{ datas_user[0].company.name }}
        {{ datas_user[0].company.catchPhrase }} {{ datas_user[0].company.bs }}
      </h3>
      <h4 class="grey--text" style="margin-left: -10px">
        <v-btn icon class="mb-1" @click="$router.push('/')"
          ><v-icon>mdi-arrow-left</v-icon></v-btn
        >Back to Home
      </h4>
    </div>
    <AlbumBox
      :datas="datas_album"
      :datas-user="datas_user"
      :datas-photo="datas_photo"
      :loading="loading_album"
    />
  </v-container>
</template>

<script>
import AlbumBox from "@/components/AlbumBox";
export default {
  components: {
    AlbumBox
  },
  computed: {
    datas_user() {
      return this.$store.get("datas_user");
    },
    loading_user() {
      return this.$store.get("loading_user");
    },
    datas_album() {
      return this.$store.get("datas_album");
    },
    loading_album() {
      return this.$store.get("loading");
    },
    datas_photo() {
      return this.$store.get("datas_photo");
    },
    loading_photo() {
      return this.$store.get("loading_photo");
    }
  },
  created() {
    this.load();
    this.loadUser();
    this.loadPhotos();
  },
  methods: {
    load() {
      const params = {
        userId: this.$route.query.user_id
      };
      this.$store.dispatch("loadAlbums", params);
    },
    loadUser() {
      this.$store.dispatch("loadUsers", this.$route.query.user_id);
    },
    loadPhotos() {
      this.$store.dispatch("loadPhotos", null);
    }
  }
};
</script>

<style lang="scss" scoped>
h3 {
  font-weight: 400;
}
</style>
